NetBSD Problem Report #44655

From apb@cequrux.com  Tue Mar  1 11:01:12 2011
Return-Path: <apb@cequrux.com>
Received: from mail.netbsd.org (mail.netbsd.org [204.152.190.11])
	by www.NetBSD.org (Postfix) with ESMTP id A29DC63B8CE
	for <gnats-bugs@gnats.NetBSD.org>; Tue,  1 Mar 2011 11:01:12 +0000 (UTC)
Message-Id: <20110301110059.13D02100A6AE@apb-laptoy.apb.alt.za>
Date: Tue,  1 Mar 2011 11:00:58 +0000 (UTC)
From: apb@cequrux.com
To: gnats-bugs@gnats.NetBSD.org
Subject: multimedia/vlc "No package 'x11-xcb' found"
X-Send-Pr-Version: 3.95

>Number:         44655
>Category:       pkg
>Synopsis:       multimedia/vlc "No package 'x11-xcb' found"
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    drochner
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Tue Mar 01 11:05:00 +0000 2011
>Last-Modified:  Fri Mar 04 08:50:02 +0000 2011
>Originator:     Alan Barrett
>Release:        NetBSD 5.99.27
>Organization:
Not much
>Environment:
System: NetBSD 5.99.27 i386
>Description:
I have pkgsrc from a few days ago.  I use X11_TYPE=native.

multimedia/vlc fails with the following errors from "configure":

    checking for XLIB_XCB... no
    configure: error: Package requirements (x11-xcb) were not met:

    No package 'x11-xcb' found

    Consider adjusting the PKG_CONFIG_PATH environment variable if you
    installed software in a non-standard prefix.

    Alternatively, you may set the environment variables XLIB_XCB_CFLAGS
    and XLIB_XCB_LIBS to avoid the need to call pkg-config.
    See the pkg-config man page for more details.
>How-To-Repeat:
    $ cd pkgsrc/multimedia/vlc
    $ head -1 Makefile
    # $NetBSD: Makefile,v 1.107 2011/02/14 19:03:18 drochner Exp $
    $ make show-var VARNAME=X11_TYPE
    native
    $ make replace
    [see errors mentioned above]
>Fix:
    Unknown.

    I see the comment "libX11 should be built with xcb enabled"
    in multimedia/vlc/Makefile, and I do have that, I think:

	$ pkg_info libX11
	Information for libX11-1.3.5:
	[...]
	Requires:
	libxcb>=1.1.93
	[...]
	This is from the modular X.org X11 project.
	[...]

    It's confusing (to me) that libX11 is from pkgsrc while
    I am using X11_TYPE=native, and perhaps this has
    something to do with the problem.

>Release-Note:

>Audit-Trail:
From: Thomas Klausner <wiz@NetBSD.org>
To: NetBSD bugtracking <gnats-bugs@NetBSD.org>
Cc: 
Subject: Re: pkg/44655: multimedia/vlc "No package 'x11-xcb' found"
Date: Tue, 1 Mar 2011 12:19:54 +0100

 On Tue, Mar 01, 2011 at 11:05:00AM +0000, apb@cequrux.com wrote:
 > >Number:         44655
 > >Category:       pkg
 > >Synopsis:       multimedia/vlc "No package 'x11-xcb' found"
 ...
 > System: NetBSD 5.99.27 i386

 Updated to a later NetBSD snapshot, 5.99.47 should work.
 I don't know another solution.

 I fixed it pulling in libX11 unconditionally, as you saw it doesn't
 help and just confuses.
  Thomas

From: Robert Elz <kre@munnari.OZ.AU>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/44655: multimedia/vlc "No package 'x11-xcb' found"
Date: Fri, 04 Mar 2011 15:04:21 +0700

     Date:        Tue,  1 Mar 2011 11:20:05 +0000 (UTC)
     From:        Thomas Klausner <wiz@NetBSD.org>
     Message-ID:  <20110301112005.1514563B8CE@www.NetBSD.org>

   |  Updated to a later NetBSD snapshot, 5.99.47 should work.

 The same problem exists with NetBSD 5.0 (release) builds, if vlc
 isn't going to build there any more, maybe it should be marked broken ?

 kre

Responsible-Changed-From-To: pkg-manager->drochner
Responsible-Changed-By: wiz@NetBSD.org
Responsible-Changed-When: Fri, 04 Mar 2011 08:09:38 +0000
Responsible-Changed-Why:
Problem introduced with update to 1.1.6, over to committer.


From: Robert Elz <kre@munnari.OZ.AU>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/44655 (multimedia/vlc "No package 'x11-xcb' found")
Date: Fri, 04 Mar 2011 15:45:03 +0700

 I should also note, that unlike apb, the build for me does
 not cause x11/libX11 to get installed, the libX11 that's present
 is just the one from /usr/X11R7/lib (the normal one you'd expect
 when X11_TYPE=native)

 I do get libxcb-1,7 and xcb-util-0.3.6 installed as dependencies though.

 kre

>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2007 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.